Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1192950 - RHEVH Registration to default cluster fails when cluster Default does not exist or UUID is wrong
Summary: RHEVH Registration to default cluster fails when cluster Default does not exi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Yaniv Bronhaim
QA Contact: movciari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 10:21 UTC by Yaniv Bronhaim
Modified: 2016-04-20 01:37 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:37:13 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 37813 0 master MERGED core: fix auto registration default cluster id Never
oVirt gerrit 37842 0 master MERGED core: set cluster for host registration if null Never

Description Yaniv Bronhaim 2015-02-16 10:21:10 UTC
1. the value AutoRegistrationDefaultVdsGroupID needs to get valid cluster id by default.

2. counting on cluster "default" can lead to unclear error if user deletes this cluster - if cluster id does not exist addVdsCommand will receive groupid null and will fail the canDoAction - it's are to understand from the log why the failure occurred. I suggest to add more info to the audit log.
 
3. rhevh does not expose auto registration option in TUI afaik. and the config value AutoApprovePatterns not so clear (at least to me)

In this bug scope I'd like to understand how the auto approval should work and be exposed to the user. for instance - the default cluster for auto approval should be set somewhere in the ui as global value imo

Comment 1 Eli Mesika 2015-02-16 10:42:27 UTC
(In reply to Yaniv Bronhaim from comment #0)
> 1. the value AutoRegistrationDefaultVdsGroupID needs to get valid cluster id
> by default.

addressed by gerrit.ovirt.org/#/c/37813

Comment 2 Eli Mesika 2015-02-17 09:10:50 UTC
(In reply to Yaniv Bronhaim from comment #0)

> 2. counting on cluster "default" can lead to unclear error if user deletes
> this cluster - if cluster id does not exist addVdsCommand will receive
> groupid null and will fail the canDoAction - it's are to understand from the
> log why the failure occurred. I suggest to add more info to the audit log.
>  

addressed by gerrit.ovirt.org/#/c/37842

Comment 3 Eli Mesika 2015-02-17 09:12:49 UTC
Yaniv , can we move that to POST after 1) and 2) were resolved (I think 3) deserve a separate issue that is more to the long term and 1) and 2) can be applied to 3.6)

Comment 4 Yaniv Bronhaim 2015-02-17 09:56:49 UTC
1,2 relates also to regular registration in PendingApproval state, the auto approval verification can be done separately . I'll open another bug regarding that.


Note You need to log in before you can comment on or make changes to this bug.